Video Gen API 开发者文档
使用指南火山兼容APIOpenAI 兼容API在线调试帮助支持
素材组 REST API

修改素材组

PATCH /api/video-studio/assets/ecloud/{groupId}

PATCH
/api/video-studio/assets/ecloud/{groupId}

Authorization

BearerAuth

AuthorizationBearer <token>

NewAPI API Key,例如 sk-...。不同 API Key 拥有相互隔离的素材空间。

In: header

Path Parameters

groupId*string

Request Body

application/json

displayName?string
Length1 <= length <= 64
coverAssetId?string

当前组中的素材 ID;空字符串表示清除

coverUrl?string

HTTP/HTTPS 封面 URL;空字符串表示清除

[key: string]?never

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://jieyun.cc/api/video-studio/assets/ecloud/group_xxx" \  -H "Content-Type: application/json" \  -d '{    "displayName": "产品主视觉",    "coverAssetId": "asset_xxx",    "coverUrl": ""  }'
{
  "data": {
    "groupId": "group_xxx",
    "displayName": "产品素材",
    "description": "string",
    "groupType": "AIGC",
    "assetCount": 0,
    "coverAssetId": "string",
    "coverUrl": "string",
    "createdAt": 0,
    "updatedAt": 0,
    "assets": [
      {
        "assetId": "asset_xxx",
        "assetName": "产品主图",
        "assetUrl": "string",
        "assetType": "Image",
        "status": "Processing",
        "errorCode": "string",
        "errorMessage": "string",
        "createdAt": 0,
        "updatedAt": 0
      }
    ]
  },
  "error": null,
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "invalid_request",
    "message": "request is invalid"
  },
  "request_id": "req_xxx"
}

最后更新于